#*****************************************************************************************************************
#' Function which performs a single model run with the provided function.
#*****************************************************************************************************************
#' @title  Run with the provided hydrological model function
#' @author Laurent Coron (June 2014)
#' @seealso \code{\link{RunModel_GR4J}}, \code{\link{RunModel_CemaNeigeGR4J}}, \code{\link{CreateInputsModel}}, \code{\link{CreateRunOptions}}.
#' @example tests/example_RunModel.R
#' @useDynLib airGR
#' @encoding UTF-8
#' @export
#_FunctionInputs__________________________________________________________________________________________________
#' @param  InputsModel         [object of class \emph{InputsModel}] see \code{\link{CreateInputsModel}} for details
#' @param  RunOptions          [object of class \emph{RunOptions}] see \code{\link{CreateRunOptions}} for details
#' @param  Param               [numeric] vector of model parameters
#' @param  FUN_MOD             [function] hydrological model function (e.g. RunModel_GR4J, RunModel_CemaNeigeGR4J)
#_FunctionOutputs_________________________________________________________________________________________________
#' @return  [list] see \code{\link{RunModel_GR4J}} or \code{\link{RunModel_CemaNeigeGR4J}} for details
#*****************************************************************************************************************'
RunModel <- function(InputsModel,RunOptions,Param,FUN_MOD){
    return( FUN_MOD(InputsModel,RunOptions,Param) )
}

