#**************************************************************************************************
#' Function which transforms model parameters (from real to transformed parameters and vice versa) using the provided function.
#**************************************************************************************************
#' @title   Transformation of the parameters using the provided function
#' @author  Laurent Coron (June 2014)
#' @seealso \code{\link{TransfoParam_GR4J}}, \code{\link{TransfoParam_GR5J}}, \code{\link{TransfoParam_GR6J}}, \code{\link{TransfoParam_CemaNeige}}
#' @example tests/example_TransfoParam.R
#' @encoding UTF-8
#' @export
#_FunctionInputsOutputs____________________________________________________________________________
#' @param   ParamIn      [numeric] matrix of parameter sets (sets in line, parameter values in column)
#' @param   Direction    [character] direction of the transformation: use "RT" for Real->Transformed and "TR" for Transformed->Real
#' @param   FUN_TRANSFO  [function] model parameters transformation function (e.g. TransfoParam_GR4J, TransfoParam_CemaNeigeGR4J)
#' @return  \emph{ParamOut} [numeric] matrix of parameter sets (sets in line, parameter values in column)
#**************************************************************************************************'
TransfoParam <- function(ParamIn,Direction,FUN_TRANSFO){
    return( FUN_TRANSFO(ParamIn,Direction) )
}

